
class Theme{
    palette:any;
    theme:theme;
    darkTheme:theme;

    constructor(){
        this.palette = {
            simpleWhite: "white",
            secondaryWhite: "#e3e3e3",
            simpleBlack: "black",
            primaryGray: "#F5F5F5",
            secondaryGray: "#373636",
            thirdGray: "#6E6E73",
            fourthGray: "#B1B1B1",
            fifthGray:"#868686",
            sixthGray:"#989898",
            primaryBlack: "#1D1D1F",
            simplePink:"#FF7272",
            primaryWhite: "#F6F6F6",
            linkColor: "#638FD1",
            opacityGray:"#606060"
        }
        
        this.theme = {
            colors: {
                backgroundColor:this.palette.simpleWhite,
                foreground: this.palette.simpleBlack,
            },
            textVarants: {
                mainText: 'JosefinSans_400Regular',
                boldText: 'JosefinSans_500Medium'
            },
        };
        
        this.darkTheme = {
            ...this.theme,
        }
    }

    getpalette(){
        return this.palette;
    }

    setPalette(palette:any):void{
        this.palette = palette;
    }

    getDarkTheme(){
        return this.darkTheme;
    }

    setDarkTheme(darkTheme:theme):void{
        this.darkTheme = darkTheme;
    }

    getTheme(){
        return this.theme; 
    }

    setTheme(theme:theme):void{
        this.theme = theme;
    }
}

export const themeObjs = new Theme();


