import { StyleSheet } from "react-native";
export const Flex = () => {
    return StyleSheet.create({
        dFlex:{
            display: "flex",
        },
        flexWrap: {
            flexWrap: "wrap",
        }
    })
};

export const FlexDirection = () => { 
    return StyleSheet.create({
        flexDirectionRow:{
            flexDirection:"row"
        },
        flexDirectionColumn:{
            flexDirection:"column"
        },
        flexDirectionRowReverse:{
            flexDirection:"row-reverse"
        },
        
        flexDirectionColumnReverse:{
            flexDirection:"column-reverse"
        },
})
};

export const FlexJustify = () => { 
    return StyleSheet.create({
        justifyContentStart:{
            justifyContent: "flex-start",
        },
        justifyContentCenter:{
            justifyContent: "center",
        },
        justifyContentEnd:{
            justifyContent: "flex-end",
        },
        justifyContentBetween:{
            justifyContent: "space-between",
        }
    })
}

export const AlignItems = () => {
    return StyleSheet.create({
        alignItemsCenter:{
            alignItems: "center",
        },
        alignItemsBaseline:{
            alignItems: "baseline",
        },
        alignItemsEnd:{
            alignItems: "flex-end",
        },
        alignItemsStart:{
            alignItems: "flex-start",
        }
    })
};